[3depict] 01/02: * Partial fix for unit test failure, bug w730100

D Haley mycae-guest at moszumanska.debian.org
Fri Nov 22 14:20:42 UTC 2013


This is an automated email from the git hooks/post-receive script.

mycae-guest pushed a commit to branch master
in repository 3depict.

commit 386f59a84c325e0f24047d1c4bf074cbe57ccc41
Author: D Haley <mycae at gmx.com>
Date:   Fri Nov 22 13:52:39 2013 +0100

    * Partial fix for unit test failure, bug w730100
---
 debian/tests/control   |    2 +-
 debian/tests/unittests |   18 ++++++++++++++----
 2 files changed, 15 insertions(+), 5 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index 4a7d9b2..86b7de4 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,2 @@
 Tests: unittests
-
+Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libgl1-mesa-dev | libgl-dev, libpng-dev | libpng15-dev, libqhull-dev, libwxgtk2.8-dev, libftgl-dev, libxml2-dev, libmgl-dev 
diff --git a/debian/tests/unittests b/debian/tests/unittests
index 4016e55..b074184 100755
--- a/debian/tests/unittests
+++ b/debian/tests/unittests
@@ -1,8 +1,15 @@
 #!/bin/bash
 
-CONFIGURE_PARAMS="--enable-mgl2"
+CONFIGURE_PARAMS="" #"--enable-mgl2"
 
 #apply all quilt patches, recording current status
+export QUILT_PATCHES=debian/patches
+if [ ! -f ${QUILT_PATCHES}/series ] ; then
+
+	echo "Quilt series file, $QUILT_PATCHES missing "
+	exit 1
+fi
+
 QUILT_APPLIED=`quilt applied`
 quilt push -a 
 
@@ -12,7 +19,7 @@ if [ x"$ADTDMP" == x"" ] ; then
 	if [ x"$TMP" == x"" ] ; then
 		ADTDMP=/tmp/
 	else
-		ADTDMP=/tmp/
+		ADTDMP=$TMP
 	fi
 fi
 
@@ -22,7 +29,7 @@ REBUILD_DIR=$ADTDMP/3depict-debug/
 #---
 TOP_LEVEL=` git rev-parse --show-toplevel`
 if [ $? -ne 0 ] ; then
-	$TOP_LEVEL=""
+	TOP_LEVEL=""
 else
 	pushd $TOP_LEVEL
 fi
@@ -38,7 +45,10 @@ pushd $REBUILD_DIR
 #Rebuild program with debugging enabled.
 # Run tests in both single and multithreaded modes
 #----
-make clean ||  exit 1;
+#First run may not have built per Debian bug #730100  
+if [ -f Makefile ] ; then
+	make clean ||  exit 1;
+fi
 ./configure  $CONFIGURE_PARAMS ||  exit 1;   
 make -j2  ||  exit 1;
 ./src/3Depict -t || exit 1; 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/3depict.git



More information about the debian-science-commits mailing list